//+------------------------------------------------------------------+
//|                                              20 Bar High Low.mq4 |
//|                                                     Gary Everett |
//|                                              gever17@bresnan.net |
//+------------------------------------------------------------------+
#property copyright "Gary Everett"
#property link      "gever17@bresnan.net"

#property indicator_chart_window

extern color  HighLineColor  = DeepPink;
extern int    HighLineWidth  = 1,
              HighLineStyle  = 4;
extern color  LowLineColor   = Chartreuse;
extern int    LowLineWidth   = 1,
              LowLineStyle   = 4,
              BarsToLookBack = 20;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
 
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectDelete("highline");
   ObjectDelete("lowline");
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double HighPrice,
          LowPrice;
           
     HighPrice = High[iHighest(NULL,0,MODE_HIGH,BarsToLookBack,0)];
       ObjectDelete("highline");
       ObjectCreate("highline",OBJ_HLINE,0,0,HighPrice);
     
     LowPrice  = Low[iLowest(NULL,0,MODE_LOW,BarsToLookBack,0)];
       ObjectDelete("lowline");
       ObjectCreate("lowline",OBJ_HLINE,0,0,LowPrice);

       ObjectSet("highline",OBJPROP_COLOR,HighLineColor);
       ObjectSet("highline",OBJPROP_WIDTH,HighLineWidth);
       ObjectSet("highline",OBJPROP_STYLE,HighLineStyle);

       ObjectSet("lowline",OBJPROP_COLOR,LowLineColor);
       ObjectSet("lowline",OBJPROP_WIDTH,LowLineWidth);
       ObjectSet("lowline",OBJPROP_STYLE,LowLineStyle);

   return(0);
  }
  
  
//+------------------------------------------------------------------+